import { toRaw } from "vue";
import { EditorModule } from "..";
import { ICompKeys } from "../typings";
import { DesignComp } from "../defines/DesignTemp/DesignComp";

export const editActions = EditorModule.action({
  // 添加组件到画布
  addCompToDesign(compKey: ICompKeys, index?: number) {
    let designComp: DesignComp;
    if (index === undefined && this.store.currComp?.compKey === "Container") {
      designComp = this.store.insertCompContainer(compKey, this.store.currComp);
    } else {
      designComp = this.store.insertDesignContent(compKey, index);
    }
    this.actions.pickComp(designComp.id);
  },
  // 切换当前组件
  pickComp(compId: string) {
    this.store.setCurrComp(compId);
  },
  pickParentComp(compId: string) {
    const comp = this.helper.findParentComp(compId);
    comp && this.store.setCurrComp(comp.id);
  },
  // 删除组件
  removeComp(compId: string) {
    console.log("remove comp id=>", compId);
      
    if (compId === this.store.currCompId) {
      this.store.currCompId = "";
    }
    this.store.deleteComp(compId);
  },
  // 移动组件
  moveComp(selIndex: number, targetIndex: number) {
    if (selIndex === targetIndex) return;
    this.store.moveComp(selIndex, targetIndex);
  },
  // 保存项目
  saveDesign() {
    this.https.saveDesign(this.store.designData);
  },
});
