import { defineComponent } from "vue";
import { string } from "vue-types";
import { useCompData } from ".";
import { View } from "../View";

export const Component = defineComponent({
  props: {
    compId: string().isRequired,
  },
  setup(props) {
    const { value } = useCompData(props.compId);

    return () => {
      return (
        <View>
          <img
            class="w-full"
            src={value.poster}
            style={{ aspectRatio: value.ratio }}
          />
        </View>
      );
    };
  },
});
