import { Dict_Imgs } from "@/dict";
import { createAttrsForm } from "../../defines/createAttrsForm";
import { createOptions } from "../../defines/createOptions";
import { ImagePicker } from "../../formItems/ImagePicker";

export { Component } from "./component";

export const { options, useCompData } = createOptions({
  name: "3D",
  thumbnail: Dict_Imgs.Default,
  value: {
    url: "//infishwaibao.oss-cn-chengdu.aliyuncs.com/release/sku3d/media/shoes.1c5c29ad.webm",
    ratio: 1,
    poster: Dict_Imgs.Default,
  },
});

export const Form = createAttrsForm([
  {
    label: "视图比例",
    dataIndex: "value.ratio",
    component: "Select",
    props: {
      options: [
        { label: "1:1", value: 1 },
        { label: "4:3", value: 4 / 3 },
        { label: "3:4", value: 3 / 4 },
        { label: "16:9", value: 16 / 9 },
        { label: "9:16", value: 9 / 16 },
      ],
    },
  },
  {
    label: "显示控制器",
    dataIndex: "value.poster",
    component: ImagePicker,
  },
]);
