import { Dict_Imgs } from "@/dict";
import { createAttrsForm } from "../../../defines/createAttrsForm";
import { createOptions } from "../../../defines/createOptions";
import { GroupNumber } from "../../../formItems/GroupNumber";

export { Component } from "./component";

const thumbnail = "https://sku3d-test.obs.cn-east-3.myhuaweicloud.com/queenshow/1685588983505_77BJpB_thumbnail.png"
export const { options, useCompData } = createOptions({
  name: "卡片3",
  thumbnail:thumbnail,
  value: {
  },
  layout: {
    padding: "0.2rem",
  },
  children: {
    bgImg: {
      compKey: "Image",
      value: { url: thumbnail, x: -25.00, y: -0.50, s: 2.1 },
    },
    item1: {
        compKey: "Image",
        value: { url: thumbnail, x: 37.00, y: -6, s: 11.00 },
    },
    item2: {
        compKey: "Image",
        value: { url: thumbnail, x: 24.00, y: -6, s: 11.15  },
    },
    item3: {
        compKey: "Image",
        value: { url: thumbnail, x: 11.00, y: -6, s: 11.70  },
    },
    text1: {
        compKey: "Text",
        value:  `<p><span style="color:hsl(0, 0%, 0%);font-size:14px;"><strong>P190注塑</strong></span></p>`,
    },
    text2: {
        compKey: "Text",
        value: `复古羊巴 / 2023年新品`,
    },
  },
});

export const Form = createAttrsForm([
  {
    label: "图片尺寸",
    dataIndex: "value.imgSize",
    component: GroupNumber,
    props: {
      labels: ["宽", "高"],
    },
  },
]);
