import { string } from "vue-types";
import { useCompData } from ".";
import { Image, Text } from "../../..";
import { useEditor } from "../../../../..";
import { createUIComp } from "../../../defines/createUIComp";
import { css } from "@linaria/core";
import * as Title3 from "../../Titles/Title3";

export const Component = createUIComp({
  props: {
    compId: string().isRequired,
  },
  setup(props) {
    const { designToNaturalSize } = useEditor().helper;
    const { value, children } = useCompData(props.compId);

    return () => (
    <div>
      <Title3.Component   compId={children.title.id} />
      <div class="flex justify-between">
        <div class="">
            <Image.Component class="overflow-hidden"
                        style={{
                            width: designToNaturalSize(250),
                            height: designToNaturalSize(278),
                        }}
                        compId={children.bgImg.id}
                    />
        </div>
        <div class="flex flex-col items-center justify-start">
           <Text.Component compId={children.text1.id} />
           <Text.Component class="mt-0.07rem" compId={children.text2.id} />
           <Text.Component compId={children.text1.id} />
           <Text.Component class="mt-0.07rem" compId={children.text2.id} />
        </div>
        </div>
        </div>
    );
  },
});
const upStyle = css`
  position:relative;
  
`